'use strict';

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _minimist = require('minimist');

var _minimist2 = _interopRequireDefault(_minimist);

var _child_process = require('child_process');

var _prebuild = require('./prebuild');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var argv = (0, _minimist2.default)(process.argv.slice(2)); // @flow

var packager = async function packager() {

    var command = argv._[0];
    console.log('command:' + command);

    var app = await (0, _prebuild.preBuild)();
    var appPath = app.path;
    var packageDir = appPath + '/Tizen/shared/res';
    console.log('[packager] appPath: ' + appPath);

    //bundle: '        --dev false'
    var RN = '/node_modules/react-native/packager/';
    replaceTizen(appPath + RN + 'defaults.js', /windows/g, 'tizen');
    replaceTizen(appPath + RN + 'src/node-haste/lib/getPlatformExtension.js', /web/g, 'tizen');

    replaceTizen(appPath + RN + 'defaults.js', /react-native-tizen/g, 'react-native-sante');

    function replaceTizen(file, reg, key) {
        var data = _fsExtra2.default.readFileSync(file, 'utf8');
        var result = data.replace(reg, key);
        _fsExtra2.default.writeFileSync(file, result, 'utf8');
    }

    function checkCommand(cmd) {
        if (!cmd) {
            return false;
        }
        if (cmd.toLowerCase() === 'dev') {
            return true;
        }
        return false;
    }

    //make bundle comand
    var SPACE = ' ';
    var arg1 = 'node' + SPACE + appPath + '/node_modules/react-native/local-cli/cli.js' + SPACE + 'bundle --entry-file index.tizen.js';
    var arg2 = ' --bundle-output' + SPACE + packageDir + '/index.tizen.bundle';
    var arg3 = ' --platform tizen --assets-dest' + SPACE + packageDir + '/assets/';
    var arg4 = ' --dev ' + checkCommand(command);

    (0, _child_process.execSync)(arg1 + arg2 + arg3 + arg4, { stdio: [0, 1, 2] });
};
packager();

module.exports = packager;