'use strict';

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _crossSpawn = require('cross-spawn');

var _crossSpawn2 = _interopRequireDefault(_crossSpawn);

var _crypto = require('crypto');

var _crypto2 = _interopRequireDefault(_crypto);

var _minimist = require('minimist');

var _minimist2 = _interopRequireDefault(_minimist);

var _child_process = require('child_process');

var _prebuild = require('./prebuild');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// @flow
var argv = (0, _minimist2.default)(process.argv.slice(2));

async function packagerBuild() {

    var command = argv._[0];
    console.log('command:' + command);

    var app = await (0, _prebuild.preBuild)();
    var appPath = app.path;
    var appName = app.name;
    console.log('[packagerBuild] appPath: ' + appPath);

    //check tizen.dll hash
    checkHash(_fsExtra2.default.readFileSync(appPath + '/Tizen/ReactNativeTizen.dll'));

    function checkHash(data) {
        var sha1 = _crypto2.default.createHash('sha1');
        sha1.update(data);
        var hash = sha1.digest('hex');
        console.log('local ReactNativeTizen.dll sha1 hash check: ' + hash);
        console.log('The latest version of ReactNativeTizen.dll is e295ff62c9aa2bd0cc8aca188e206e3b2a82f985');
    }

    function checkCommand(cmd) {
        if (!cmd) {
            return false;
        }
        if (cmd.toLowerCase() === 'release') {
            return true;
        }
        return false;
    }

    var mode = checkCommand(command) ? 'Release' : 'Debug';

    //dotnet build
    var SPACE = ' ';
    (0, _child_process.execSync)('dotnet restore ' + SPACE + appPath + '/Tizen/', { stdio: [0, 1, 2] });

    (0, _child_process.execSync)('dotnet build -c ' + mode + SPACE + appPath + '/Tizen/', { stdio: [0, 1, 2] });
};
packagerBuild();